package com.hfkj.service.item;

import com.hfkj.entity.EnOilManagement;

import java.util.List;
import java.util.Map;

public interface EnOilManagementService {

    /**
     * @MethodName 创建
     * @Description:
     * @param enOilManagement
     * @Author: Sum1Dream
     * @Date: 2025/7/11 下午4:34
     */
    void create(EnOilManagement enOilManagement);

    /**
     * @MethodName update
     * @Description:修改
     * @param enOilManagement
     * @Author: Sum1Dream
     * @Date: 2025/7/11 下午4:34
     */
    void update(EnOilManagement enOilManagement);

    /**
     * @MethodName delete
     * @Description:删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2025/7/11 下午4:34
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description:查询详情
     * @param id
     * @return: com.hfkj.entity.EnOilManagement
     * @Author: Sum1Dream
     * @Date: 2025/7/11 下午4:34
     */
    EnOilManagement queryDetail(Long id);

    /**
     * @MethodName queryDetailByMap
     * @Description:根据多条件查询详情
     * @param map
     * @return: com.hfkj.entity.EnOilManagement
     * @Author: Sum1Dream
     * @Date: 2025/7/11 下午4:34
     */
    EnOilManagement queryDetailByMap(Map<String , Object> map);

    /**
     * @MethodName getList
     * @Description:查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.EnOilManagement>
     * @Author: Sum1Dream
     * @Date: 2025/7/11 下午4:35
     */
    List<EnOilManagement> getList(Map<String , Object> map);

}
